curl "https://api.smartcar.com/v2.0/vehicles/{id}/fuel" \
-H "Authorization: Bearer {token}" \
-X "GET"
fuel = vehicle.fuel()
const fuel = await vehicle.fuel();
VehicleFuel fuel = vehicle.fuel();
fuel = vehicle.fuel
{
"amountRemaining": 53.2,
"percentRemaining": 0.3,
"range": 40.5
}
Vehicle Data
Fuel Tank
Returns the status of the fuel remaining in the vehicle’s fuel tank.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/fuel" \
-H "Authorization: Bearer {token}" \
-X "GET"
fuel = vehicle.fuel()
const fuel = await vehicle.fuel();
VehicleFuel fuel = vehicle.fuel();
fuel = vehicle.fuel
{
"amountRemaining": 53.2,
"percentRemaining": 0.3,
"range": 40.5
}
The Vehicles API v2.0 will be deprecated on December 1, 2026. The latest version, v3, was introduced on August 26, 2025. We recommend migrating as soon as possible to ensure continued support and access to new features.
Permission
read_fuel
This endpoint may return
null values for vehicles sold in Europe. Please see the Notes section for details.Request
PathThe vehicle ID of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/fuel" \
-H "Authorization: Bearer {token}" \
-X "GET"
fuel = vehicle.fuel()
const fuel = await vehicle.fuel();
VehicleFuel fuel = vehicle.fuel();
fuel = vehicle.fuel
Response
{
"amountRemaining": 53.2,
"percentRemaining": 0.3,
"range": 40.5
}
Notes
The table below indicates values Smartcar attempts to retrieve from vehicles sold in Europe.range | percentRemaining | amountRemaining | |
|---|---|---|---|
| Audi | ✅ | ✅ | |
| BMW, MINI | ✅ | ✅ | ✅ |
| Citroen, DS, Opel, Peugeot, Vauxhall | ✅ | ✅ | |
| Ford | ✅ | ✅ | |
| Hyundai | ✅ | ✅ | |
| Jaguar, Land Rover | ✅ | ✅ | |
| Kia | ✅ | ✅ | |
| Mazda | ✅ | ✅ | |
| Mercedes | ✅ | ✅ | |
| Renault | ✅ | ✅ | |
| Skoda, Volkswagen | ✅ | ✅ | |
| Volvo | ✅ | ✅ | ✅ |
Was this page helpful?

